Summary:	Python's own image processing library 
Name:		python-imaging
Version: 	1.1.7
%define subrel	1
Release: 	%mkrel 7
License:	MIT
Group:		Development/Python
URL:		http://www.pythonware.com/products/pil/
Source0:	http://effbot.org/downloads/Imaging-%{version}.tar.gz
Source1:	pil-handbook.pdf.bz2
Source2:	linux-python-paint-icon.gif
Patch0:		Imaging-1.1.7-link.patch
# (ahmad) add patch to fix sane types (Fedora)
Patch1:		python-imaging-1.1.6-sane-types.patch
# (ahmad) add patch to retain gif transperancy (Fedora)
Patch2:		python-imaging-giftrans.patch
# (philippem) buffer overflow patch, bz 703212 (Fedora)
Patch3:		%{name}-buffer.patch
# insecure use of /tmp, debian bug 737059
Patch4:		python-pillow-CVE-2014-1932-CVE-2014-1933.patch

BuildRequires:	python-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	freetype2-devel
BuildRequires:	lcms-devel
BuildRequires:	libsane-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	zlib-devel
BuildRequires:	tkinter
BuildRequires:	libjpeg-devel

%description
Python Imaging Library version %{version}
   
The Python Imaging Library (PIL) adds image processing capabilities 
to your Python interpreter.

This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.

%package devel
Summary:	Header files for python-imaging
Group:		Development/C
Requires:	python-imaging = %{version}
Requires:	libjpeg-devel zlib-devel python-devel

%description devel
Header files for the Python Imaging Library version %{version}.

%prep
%setup -q -n Imaging-%{version}
%apply_patches

bzcat %SOURCE1 > pil-handbook.pdf

# fix shebang
find . -type f | xargs perl -pi -e 's@/usr/local/bin/python@/usr/bin/python@'

find . -type f | xargs perl -pi -e 's@/usr/bin/env python@/usr/bin/python@'

# make the scripts executable:
chmod 0755 Scripts/*.py

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" python setup.py build

cd Sane
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" python setup.py build

%install
rm -fr %{buildroot}

python setup.py install --skip-build --root=%{buildroot}

cd libImaging
mkdir -p  %{buildroot}%{_includedir}/python%{pyver}/
install -m 644 ImPlatform.h Imaging.h %{buildroot}%{_includedir}/python%{pyver}/
cd ..

cd Sane
python setup.py install --skip-build --root=%{buildroot}
cd ..

%check
# (ahmad) add some hacks from Fedora to enable running the check
sed -i "s|ROOT = \".\"|ROOT = \"%{buildroot}%{python_sitearch}\"|" selftest.py
ln -s $PWD/Images %{buildroot}%{python_sitearch}/Images
python selftest.py
rm %{buildroot}%{python_sitearch}/Images

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc pil-handbook.pdf Scripts Images CHANGES* README
%{_bindir}/pil*.py
%py_platsitedir/PIL.pth
%dir %py_platsitedir/PIL
%py_platsitedir/PIL/*.egg-info
%py_platsitedir/PIL/*.py*
%py_platsitedir/PIL/_imaging.so
%py_platsitedir/PIL/_imagingcms.so
%py_platsitedir/PIL/_imagingft.so
%py_platsitedir/PIL/_imagingmath.so
%py_platsitedir/PIL/_imagingtk.so
%py_platsitedir/_sane.so
%py_platsitedir/*.egg-info
%py_platsitedir/sane.py*

%files devel
%defattr (-,root,root)
%{_includedir}/python%{pyver}/Imaging.h
%{_includedir}/python%{pyver}/ImPlatform.h


%changelog
* Sun Mar 23 2014 luigiwalser <luigiwalser> 1.1.7-7.1.mga3
+ Revision: 606969
- rediff patch from debian to fix CVE-2014-1932 and CVE-2014-1933

* Sun Jan 13 2013 umeabot <umeabot> 1.1.7-7.mga3
+ Revision: 378980
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 philippem <philippem> 1.1.7-6.mga3
+ Revision: 324075
- add buildrequire libjpeg-devel
- buffer overflow patch, bz 703212 (Fedora)
- Build with -fno-strict-aliasing option

* Sat Jul 02 2011 fwang <fwang> 1.1.7-5.mga2
+ Revision: 117414
- rebuild for new tcl

* Mon Feb 21 2011 ahmad <ahmad> 1.1.7-4.mga1
+ Revision: 55600
- rebuild to make all pythonegg requires/provides lowercase

* Wed Feb 02 2011 ahmad <ahmad> 1.1.7-3.mga1
+ Revision: 46310
- add patch to fix sane types (Fedora)
- add patch to fix gif transperancy (Fedora)
- add Requires libjpeg-devel zlib-devel python-devel to the -devel sub-package (Fedora)
- fix some more shebang (and move all the shebang fixes from %%install to %%build)
- make the Scripts/*.py executable (Fedora)
- build with 'python setup.py build'
- install with --skip-build
- add a %%check stage (some hacks added from Fedora so that the check can run)
- imported package python-imaging


* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 1.1.7-3mdv2011.0
+ Revision: 626946
- add missing patch
- tighten BR

* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 1.1.7-2mdv2011.0
+ Revision: 590388
- rebuild for python 2.7
- fix build on python 2.7 and clean redondant macros

* Wed Jan 20 2010 Frederik Himpe <fhimpe@mandriva.org> 1.1.7-1mdv2010.1
+ Revision: 494385
- Fix BuildRequires
- Update to new version 1.1.7

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-8mdv2010.1
+ Revision: 488796
- rebuilt against libjpeg v8

* Mon Aug 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-7mdv2010.0
+ Revision: 417196
- rebuilt against libjpeg v7

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 1.1.6-6mdv2009.1
+ Revision: 319437
- fix file list
- rebuild for new python

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.6-5mdv2009.1
+ Revision: 311036
- rebuild for new tcl
- small cleanups

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.1.6-4mdv2009.0
+ Revision: 225132
- rebuild

* Mon Jan 28 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.1.6-3mdv2008.1
+ Revision: 159347
- Enabled support for Sane. Closes: #10890

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Fri Oct 26 2007 Götz Waschk <waschk@mandriva.org> 1.1.6-2mdv2008.1
+ Revision: 102332
- fix build of imagingtk extension (bug #34985)

* Wed May 02 2007 Adam Williamson <awilliamson@mandriva.org> 1.1.6-1mdv2008.0
+ Revision: 20635
- replace Icon: with Source: (thanks andreas)
- 1.1.6, drop some workarounds that are no longer needed


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-11mdv2007.0
+ Revision: 88169
- Import python-imaging

* Tue Nov 28 2006 Gtz Waschk <waschk@mandriva.org> 1.1.4-11mdv2007.1
- update file list

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-10mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Wed Mar 09 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-9mdk
- install include files in a devel sub package

* Fri Dec 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.4-8mdk
- drop pilray support, this fixes bug 12347

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.1.4-7mdk
- Rebuild for new python

* Sat Sep 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-6mdk
- add support for radiance pic format (bug #)

* Mon May 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.4-5mdk
- grf, fix buildrequires for real

* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.4-4mdk
- fix buildrequires

* Tue Mar 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.4-3mdk
- fix build with new freetype2

